Bug 277291 - Column alignments in task table are incorrect
Summary: Column alignments in task table are incorrect
Status: RESOLVED FIXED
Alias: None
Product: kplato
Classification: Unclassified
Component: usability (show other bugs)
Version: 2.3
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dag Andersen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-07 10:42 UTC by DGardner
Modified: 2011-07-12 06:39 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DGardner 2011-07-07 10:42:58 UTC
Version:           2.3 (using KDE 4.6.3) 
OS:                Linux

I'm using KPlato 0.10.3 for KOffice 2.3.3 on Fedora 15 (64-bit).

In the table of tasks in the Tasks view, some of the column alignments are incorrect or (seemingly) arbitrary.

The "Type" column should be left-aligned like most of the other columns.

The "Estimate" column should be right-aligned, as it contains numeric values.

Reproducible: Always

Steps to Reproduce:
Create a task and view its fields in the table of the Tasks view.

Actual Results:  
The "Type" column is centre-aligned for no apparent reason. This makes it more difficult to distance it from adjoining fields (Description, in my case) and therefore wastes space.

The "Estimate" column is left-aligned, making it more difficult to compare numeric values.

Expected Results:  
The "Type" column should be left-aligned like other non-numeric columns.

The "Estimate" column should be right-aligned, as it is a numeric column.
Comment 1 Dag Andersen 2011-07-12 06:39:27 UTC
Git commit 4b05ae71ceeb0e21a3dda577cbbe8c2cdbac12b4 by Dag Andersen.
Committed on 12/07/2011 at 08:34.
Pushed by danders into branch 'master'.

Fix text alignment in data models

Use default for all genuine text data, and
right alignment for numeric data even when
it is issued to the view as text.

BUG: 277291
Column alignments in task table are incorrect

M  +2    -5    kplato/libs/models/kptaccountsmodel.cpp     
M  +120  -14   kplato/libs/models/kptnodeitemmodel.cpp     
M  +2    -10   kplato/libs/models/kptpertcpmmodel.cpp     
M  +22   -5    kplato/libs/models/kptresourceappointmentsmodel.cpp     
M  +19   -10   kplato/libs/models/kptresourcemodel.cpp     
M  +4    -3    kplato/libs/models/kptschedulemodel.cpp     
M  +1    -5    kplato/libs/models/kpttaskstatusmodel.cpp     
M  +3    -0    kplato/libs/ui/kpttaskeditor.cpp     

http://commits.kde.org/calligra/4b05ae71ceeb0e21a3dda577cbbe8c2cdbac12b4